/*
** Module   : AsyncRequestCountAttribute.java
** Abstract : An interface holding the ASYNC-REQUEST-COUNT attribute api.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 CS  20130211 Created initial version.
** 002 EVL 20130911 Adding legacy attributes annotation.
*/

package com.goldencode.p2j.util;

/**
 * Interface for the handles which use the ASYNC-REQUEST-COUNT
 * <p>
 * Exposes the following Attributes and methods:
 * <table>
 * <tr>
 *    <th>attribute or method</th>
 *    <th>API</th>
 * </tr>
 * <tr>
 *    <td>ASYNC-REQUEST-COUNT</td>
 *    <td>{@link #getAsyncRequestCount()}</td>
 * </tr>
 * </table>
 * This is to be used by SERVER and PROCEDURE handle implementations.
 */
public interface AsyncRequestCountAttribute
{
   /**
    * Returns the number of asynchronous requests.
    * 
    * @return   See above.
    */
   @LegacyAttribute(name = "ASYNC-REQUEST-COUNT")
   public integer getAsyncRequestCount();
}
