/*
** Module   : NamespaceURI.java
** Abstract : Define getter and setter for NAMESPACE-URI attribute.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 CA  20130220 Created initial version.
** 002 EVL 20130911 Adding legacy attributes and methods annotation.
*/

package com.goldencode.p2j.util;

/**
 * Defines setters and getters for the NAMESPACE-URI attribute.
 */
public interface NamespaceURI
{
   /**
    * Returns the value of the the NAMESPACE-URI attribute.
    *
    * @return    See above.
    */
   @LegacyAttribute(name = "NAMESPACE-URI")
   public character getNamespaceURI();

   /**
    * Setter for NAMESPACE-URI attribute.
    *
    * @param    uri
    *           The new value of the NAMESPACE-URI attribute.
    */
   @LegacyAttribute(name = "NAMESPACE-URI", setter = true)
   public void setNamespaceURI(String uri);

   /**
    * Setter for NAMESPACE-URI attribute.
    *
    * @param    uri
    *           The new value of the NAMESPACE-URI attribute.
    */
   @LegacyAttribute(name = "NAMESPACE-URI", setter = true)
   public void setNamespaceURI(character uri);
}
